Name: did
Version: 0.21
Release:    1%{?dist}

Summary: What did you do last week, month, year?
License: GPLv2+

URL: https://github.com/psss/did
Source0: %{url}/releases/download/%{version}/did-%{version}.tar.bz2

BuildArch: noarch
BuildRequires: git-core
BuildRequires: python3-bodhi-client
BuildRequires: python3-bugzilla
BuildRequires: python3-dateutil
BuildRequires: python3-devel
BuildRequires: python3-httplib2
BuildRequires: python3-pytest
BuildRequires: python3-requests-gssapi
BuildRequires: python3-setuptools
Requires: python3-bugzilla
Requires: python3-httplib2
Requires: python3-nitrate
Requires: python3-requests-gssapi
Requires: python3-feedparser

%?python_enable_dependency_generator

%description
Comfortably gather status report data (e.g. list of committed
changes) for given week, month, quarter, year or selected date
range. By default all available stats for this week are reported.

%prep
%autosetup -S git

%build
%py3_build

%install
%py3_install
mkdir -p %{buildroot}%{_mandir}/man1
install -pm 644 did.1.gz %{buildroot}%{_mandir}/man1

%check
export LANG=en_US.utf-8
%{__python3} -m pytest -vv tests/test*.py -k 'not smoke'

%files
%{_mandir}/man1/*
%{_bindir}/did
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-*.egg-info/
%doc README.rst examples
%license LICENSE

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.21-1
- initial build
